/*
 * http_server_cgi.h
 *
 *  Created on: 28.8.2012
 *      Author: velek
 */

#ifndef HTTP_SERVER_CGI_H_
#define HTTP_SERVER_CGI_H_

#include <stddef.h>
#include <stdint.h>

/**
 * Signature of the callback used by CGI processor to receive
 * data.
 *
 * @param buffer	A pointer to dynamically(malloc) created buffer
 *
 * @return Size of created buffer, zero on error
 */
typedef
size_t (*CGI_HANDLER)(uint8_t ** buffer);

/**
 * Process a CGI function.
 *
 * @param cgi_handler	A callback function to get CGI content
 *
 * @return NULL on error, MHD_Response on success
 */
struct MHD_Response * http_server_cgi(CGI_HANDLER cgi_handler);

#endif /* HTTP_SERVER_CGI_H_ */
