/*
 * http_server_file.h
 *
 *  Created on: 28.8.2012
 *      Author: velek
 */

#ifndef HTTP_SERVER_FILE_H_
#define HTTP_SERVER_FILE_H_

#include <stddef.h>
#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>


/**
 * Sent data to client.
 *
 * @param file_content	Pointer to data with data content
 * @param file_size		Size of data
 * @param rom			Volatile data = false, Nonvolatile(ROM) = true
 *
 * @return NULL on error, MHD_Response on success
 */
struct MHD_Response * http_server_send_data(const uint8_t *file_content, size_t file_size, bool rom);

/**
 * Process a file.
 *
 * @param file_name		Name of the file
 *
 * @return NULL on error, MHD_Response on success
 */
struct MHD_Response * http_server_file(const char * file_name);


#endif /* HTTP_SERVER_FILE_H_ */
